Accounts
Account Set Avatar
Upload an avatar for the authenticated account.
POST
/accounts/self/avatarUpload an avatar for the authenticated account.
storyden-session<token>
In: cookie
Header Parameters
Content-Length*integer
Body content length in bytes.
Request Body
application/octet-stream
TypeScript Definitions
Use the request body type in TypeScript.
body?file
Response Body
application/json
curl -X POST "https://example.com/accounts/self/avatar" \ -H "Content-Length: 0" \ -H "Content-Type: application/octet-stream" \ -d 'string'Empty
Empty
Empty
{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}Account Role Set Badge PUT
Desgiantes the specified role as a badge for the profile. Only one role may be set as a badge for the profile. Setting a role as a badge is entirely aesthetic and does not grant any additional permissions. Roles may be created without any permissions in order to be used as badges.
Account Update PATCH
Update the information for the currently authenticated account.